生成
音声と動画を吹き替え
リップシンク付きの吹き替えを作成します。lip_sync に true を指定し、2〜300 秒の動画を渡します。num_speakers との併用はできません。通常の吹き替えは停止中です。 受付後は status_url を next_poll_after_seconds に従って確認し、result_ready が true になったら result_url を取得します。
POST
/v1/creative/dubbing
curl --request POST 'https://api.orchestor.io/v1/creative/dubbing' \ --header "Authorization: Bearer $ORCHESTOR_API_KEY" \ --header 'Content-Type: application/json' \ --data-raw '{"video_url": "https://media.orchestor.io/inputs/interview.mp4", "duration_seconds": 20, "target_lang": "ja", "lip_sync": true}'{ "data": { "request_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "job": { "id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "type": "dubbing", "status": "queued", "model": "orchestor/dubbing-1.0", "idempotency_key": "9816bc88-9791-43a1-86c2-876dc7c544e8", "communication_mode": "async", "created_at": "2026-11-06T00:00:00Z", "updated_at": "2026-11-06T00:00:00Z", "started_at": null, "completed_at": null, "canceled_at": null, "result": null, "error": null, "usage_summary": null, "webhook_delivery": null, "input": { "video_url": "https://media.orchestor.io/inputs/interview.mp4", "duration_seconds": 20, "target_lang": "ja", "lip_sync": true } }, "status_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/status", "result_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/result", "events_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/events", "cancel_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/cancel", "cancelable": true, "next_action": "poll_status", "next_poll_after_seconds": 2, "recommended_poll_interval_seconds": 2, "retry_after_seconds": null, "result_ready": false, "terminal": false, "idempotency_hit": false, "usage": { "credits": 5, "usd": "0.05" }, "generation_limits": null }}認証
認証の詳細
bearer
ボディapplication/json必須
{ "video_url": "https://media.orchestor.io/inputs/interview.mp4", "duration_seconds": 20, "target_lang": "ja", "lip_sync": true}レスポンス
application/json
ジョブの現在状態と追跡 URL。受付は処理の完了を意味しません。
ヘッダー
{ "data": { "request_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "job": { "id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "type": "dubbing", "status": "queued", "model": "orchestor/dubbing-1.0", "idempotency_key": "9816bc88-9791-43a1-86c2-876dc7c544e8", "communication_mode": "async", "created_at": "2026-11-06T00:00:00Z", "updated_at": "2026-11-06T00:00:00Z", "started_at": null, "completed_at": null, "canceled_at": null, "result": null, "error": null, "usage_summary": null, "webhook_delivery": null, "input": { "video_url": "https://media.orchestor.io/inputs/interview.mp4", "duration_seconds": 20, "target_lang": "ja", "lip_sync": true } }, "status_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/status", "result_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/result", "events_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/events", "cancel_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/cancel", "cancelable": true, "next_action": "poll_status", "next_poll_after_seconds": 2, "recommended_poll_interval_seconds": 2, "retry_after_seconds": null, "result_ready": false, "terminal": false, "idempotency_hit": false, "usage": { "credits": 5, "usd": "0.05" }, "generation_limits": null }}